アラコキからの Raspberry Pi 電子工作

AMPで「CSS の !important 修飾子は使用できません。」エラーが出る

Luxeritas(ルクセリタス)
運用とトラブル
「CSS の !important 修飾子は使用できません。」エラー
 
テーマを「Luxeritas」にした WordPress サイトで、Google Search Console の「AMP」で、「CSS の !important 修飾子は使用できません。」エラーが出る。
 
詳細を見ると、「CSS の !important 修飾子は使用できません。」と表示されている。
 
以下、「CSS の !important 修飾子は使用できません。」エラーの解決記録。
 

 

スポンサー リンク

 

 
 
 目 次
 
 
 
1. エラー内容と原因
 
Google Search Console の「AMP」でエラーが表示される。
 
詳細を見ると、「CSS の !important 修飾子は使用できません。」と表示されている。
 
「style-amp.css」の内容を確認すると、「 !important 」の設定がある。
 
Luxeritas の「目次」をカスタマイズした【CSS】に、AMPでは無効の属性「 !important 」が指定されていた。
 
 
 
2. 解決策
 
該当の【CSS】から、「 !important 」の設定を消去。

#toc_container > .toc_list {
	list-style: none;
	margin-bottom: 0;
	padding-left: 20px;/*h2左側余白 */		
}
 
 
 
3. 修正の検証
 
Google Search Console の「AMP」で、エラーの詳細画面で「修正を検証」を実行。
 
検証が開始される:2021.01.22。
 
エラーの詳細画面を見ると、「修正を確認しました」となっている。
 
2021.02.07(2週間以上経過)になって、修正が確認されたというメールが届く。
 
Google Search Console の「AMP」を見ると、エラーが消え、全てのページが「有効」になっている。
 
エラーの詳細画面を見ると、「合格」となっている。
 
検証:合格 開始日:2021/01/22 合格:2021/02/06。(15日間経過)
 
 
以上。
(2021.02.07)
 

 

スポンサー リンク

 

             

 

 

 
Exit mobile version